Payments API
The core Coinbax payment API: transactions, escrow, disputes, webhooks, customers, and OAuth. This is the API most integrations build against.
Authentication
api-keyAPI key in the header "X-API-Key"
See the authentication guide for how to obtain credentials and the scopes reference for permissions.
Endpoints (76)
Authentication
API key management and verification
- POST
/api/v1/auth/api-key - POST
/api/v1/auth/api-key/regenerate - GET
/api/v1/auth/platform/me - GET
/api/v1/auth/platform/{id} - + 4 more
Controls
- POST
/api/v1/controls/verify-2fa - POST
/api/v1/controls/verify-twilio-sms
Health
Health check and monitoring endpoints
- GET
/api/v1/health - GET
/api/v1/health/live - GET
/api/v1/health/ready - GET
/api/v1/sentry-test
JWKS
- GET
/.well-known/jwks.json
OAuth 2.0
- GET
/api/v1/oauth/clients - POST
/api/v1/oauth/clients - GET
/api/v1/oauth/clients/{clientId} - DELETE
/api/v1/oauth/clients/{clientId} - + 6 more
Platform
- GET
/api/v1/platform/config
Transaction Stream
- GET
/api/v1/transactions/{id}/stream
Transactions
Payment operations and lifecycle management
- GET
/api/v1/transactions - POST
/api/v1/transactions - GET
/api/v1/transactions/at-risk - GET
/api/v1/transactions/batch - + 21 more
Verification
- GET
/api/v1/verify/{transactionId} - POST
/api/v1/verify/{transactionId}/resend - POST
/api/v1/verify/{transactionId}/verify
compliance
- POST
/api/v1/api/v1/compliance/verifications - POST
/api/v1/api/v1/compliance/verifications/check - GET
/api/v1/api/v1/compliance/verifications/{id} - POST
/api/v1/api/v1/compliance/webhooks/persona
disputes
- GET
/api/v1/disputes - POST
/api/v1/disputes - GET
/api/v1/disputes/{id} - POST
/api/v1/disputes/{id}/escalate - + 2 more
webhooks
- GET
/api/v1/webhooks - POST
/api/v1/webhooks - GET
/api/v1/webhooks/events/types - GET
/api/v1/webhooks/{id} - + 7 more